summaryrefslogtreecommitdiff
path: root/dev-ruby/selenium-webdriver
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/selenium-webdriver
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/selenium-webdriver')
-rw-r--r--dev-ruby/selenium-webdriver/Manifest3
-rw-r--r--dev-ruby/selenium-webdriver/metadata.xml12
-rw-r--r--dev-ruby/selenium-webdriver/selenium-webdriver-2.53.4-r1.ebuild38
-rw-r--r--dev-ruby/selenium-webdriver/selenium-webdriver-3.142.6.ebuild33
-rw-r--r--dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7.ebuild33
5 files changed, 119 insertions, 0 deletions
diff --git a/dev-ruby/selenium-webdriver/Manifest b/dev-ruby/selenium-webdriver/Manifest
new file mode 100644
index 000000000000..e9f854e59406
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/Manifest
@@ -0,0 +1,3 @@
+DIST selenium-webdriver-2.53.4.gem 897536 BLAKE2B 630b5e8cd5ce53de7a689135ce80e364e33b783bd8493f79af01d79717d3d65541fe04c6c0e5016a85af8a559864ddcb641d06c99430599b21095b54ff40845a SHA512 ad7934a67c4415a81c2d0efae5f510d41784411076ea903724e1fa2be1b209382131aa1b05f3636deb1deca38db6e76805262f5037ab2e621e785e4eb3c2b90e
+DIST selenium-webdriver-3.142.6.gem 864768 BLAKE2B 6d48561c4d50c64936cc0ec55a3f777723062f8ea1fb08f345e2c84d0080dd6a04b09e13caa23b77041c91dd2de9ae80980562f5f3a286992f0296a8e19adc75 SHA512 1a34c504214ac662195a6d0addcda8fc2de6d863aa367fd9d9b973bf7dd44699e4776fb52cf7c3dbaa16ebd87c427bac6c3747ad469a5b07e4cace7e02416e33
+DIST selenium-webdriver-3.142.7.gem 865280 BLAKE2B 650011848afaa3ea4fab7c8172828c7562df212383a8fbea9615a5136e3382aba0fcf17952d941c7b514e5229c0aafe3dbc320386698eb8756f567eff67722bd SHA512 0e7891c19b8a0b20441d85bc17032ecf03cba7ca435846e03abc50b62b0c53c075dc70456796c9bfcd1ecd28ecc517f907a3d6868346a07617fd1d0c1b9437c0
diff --git a/dev-ruby/selenium-webdriver/metadata.xml b/dev-ruby/selenium-webdriver/metadata.xml
new file mode 100644
index 000000000000..9a4c0c3b846d
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">seleniumhq/selenium</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-2.53.4-r1.ebuild b/dev-ruby/selenium-webdriver/selenium-webdriver-2.53.4-r1.ebuild
new file mode 100644
index 000000000000..303687cb407c
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/selenium-webdriver-2.53.4-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby23 ruby24 ruby25"
+
+# NOTE: this package contains precompiled code. It appears that all
+# source code can be found at https://code.google.com/p/selenium/ but the
+# repository is not organized in a way so that we can easily rebuild the
+# suited shared object. We'll just try our luck with the precompiled
+# objects for now.
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
+QA_PREBUILT="*/x_ignore_nofocus.so"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This gem provides Ruby bindings for WebDriver"
+HOMEPAGE="http://gemcutter.org/gems/selenium-webdriver"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/childprocess-0.5.0
+ dev-ruby/rubyzip:1"
+
+all_ruby_prepare() {
+ # Make websocket a development dependency since it is only needed
+ # for the safari driver which we don't support on Gentoo.
+ sed -i -e '/websocket/,/version_requirements/ s/runtime/development/' ../metadata || die
+}
diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.6.ebuild b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.6.ebuild
new file mode 100644
index 000000000000..b88b9685d7e0
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+# NOTE: this package contains precompiled code. It appears that all
+# source code can be found at https://code.google.com/p/selenium/ but the
+# repository is not organized in a way so that we can easily rebuild the
+# suited shared object. We'll just try our luck with the precompiled
+# objects for now.
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
+QA_PREBUILT="*/x_ignore_nofocus.so"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This gem provides Ruby bindings for WebDriver"
+HOMEPAGE="https://github.com/seleniumhq/selenium"
+
+LICENSE="Apache-2.0"
+SLOT="3"
+KEYWORDS="amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/childprocess-0.5:2
+ >=dev-ruby/rubyzip-1.2.2:*"
diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7.ebuild b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7.ebuild
new file mode 100644
index 000000000000..fc0ae13ab285
--- /dev/null
+++ b/dev-ruby/selenium-webdriver/selenium-webdriver-3.142.7.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+# NOTE: this package contains precompiled code. It appears that all
+# source code can be found at https://code.google.com/p/selenium/ but the
+# repository is not organized in a way so that we can easily rebuild the
+# suited shared object. We'll just try our luck with the precompiled
+# objects for now.
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
+QA_PREBUILT="*/x_ignore_nofocus.so"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This gem provides Ruby bindings for WebDriver"
+HOMEPAGE="https://github.com/seleniumhq/selenium"
+
+LICENSE="Apache-2.0"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/childprocess-0.5:2
+ >=dev-ruby/rubyzip-1.2.2:*"